Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
22da::/16
First address
22da::
Last address
22da:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
22da:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
a.d.2.2.ip6.arpa
Split into smaller subnets/24

22da::/16 makes 256 subnets of /24.

Subnets
#SubnetLast address
122da::/2422da:ff:ffff:ffff:ffff:ffff:ffff:ffff
222da:100::/2422da:1ff:ffff:ffff:ffff:ffff:ffff:ffff
322da:200::/2422da:2ff:ffff:ffff:ffff:ffff:ffff:ffff
422da:300::/2422da:3ff:ffff:ffff:ffff:ffff:ffff:ffff
522da:400::/2422da:4ff:ffff:ffff:ffff:ffff:ffff:ffff
622da:500::/2422da:5ff:ffff:ffff:ffff:ffff:ffff:ffff
722da:600::/2422da:6ff:ffff:ffff:ffff:ffff:ffff:ffff
822da:700::/2422da:7ff:ffff:ffff:ffff:ffff:ffff:ffff
922da:800::/2422da:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1022da:900::/2422da:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1122da:a00::/2422da:aff:ffff:ffff:ffff:ffff:ffff:ffff
1222da:b00::/2422da:bff:ffff:ffff:ffff:ffff:ffff:ffff
1322da:c00::/2422da:cff:ffff:ffff:ffff:ffff:ffff:ffff
1422da:d00::/2422da:dff:ffff:ffff:ffff:ffff:ffff:ffff
1522da:e00::/2422da:eff:ffff:ffff:ffff:ffff:ffff:ffff
1622da:f00::/2422da:fff:ffff:ffff:ffff:ffff:ffff:ffff
1722da:1000::/2422da:10ff:ffff:ffff:ffff:ffff:ffff:ffff
1822da:1100::/2422da:11ff:ffff:ffff:ffff:ffff:ffff:ffff
1922da:1200::/2422da:12ff:ffff:ffff:ffff:ffff:ffff:ffff
2022da:1300::/2422da:13ff:ffff:ffff:ffff:ffff:ffff:ffff
2122da:1400::/2422da:14ff:ffff:ffff:ffff:ffff:ffff:ffff
2222da:1500::/2422da:15ff:ffff:ffff:ffff:ffff:ffff:ffff
2322da:1600::/2422da:16ff:ffff:ffff:ffff:ffff:ffff:ffff
2422da:1700::/2422da:17ff:ffff:ffff:ffff:ffff:ffff:ffff
2522da:1800::/2422da:18ff:ffff:ffff:ffff:ffff:ffff:ffff
2622da:1900::/2422da:19ff:ffff:ffff:ffff:ffff:ffff:ffff
2722da:1a00::/2422da:1aff:ffff:ffff:ffff:ffff:ffff:ffff
2822da:1b00::/2422da:1bff:ffff:ffff:ffff:ffff:ffff:ffff
2922da:1c00::/2422da:1cff:ffff:ffff:ffff:ffff:ffff:ffff
3022da:1d00::/2422da:1dff:ffff:ffff:ffff:ffff:ffff:ffff
3122da:1e00::/2422da:1eff:ffff:ffff:ffff:ffff:ffff:ffff
3222da:1f00::/2422da:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3322da:2000::/2422da:20ff:ffff:ffff:ffff:ffff:ffff:ffff
3422da:2100::/2422da:21ff:ffff:ffff:ffff:ffff:ffff:ffff
3522da:2200::/2422da:22ff:ffff:ffff:ffff:ffff:ffff:ffff
3622da:2300::/2422da:23ff:ffff:ffff:ffff:ffff:ffff:ffff
3722da:2400::/2422da:24ff:ffff:ffff:ffff:ffff:ffff:ffff
3822da:2500::/2422da:25ff:ffff:ffff:ffff:ffff:ffff:ffff
3922da:2600::/2422da:26ff:ffff:ffff:ffff:ffff:ffff:ffff
4022da:2700::/2422da:27ff:ffff:ffff:ffff:ffff:ffff:ffff
4122da:2800::/2422da:28ff:ffff:ffff:ffff:ffff:ffff:ffff
4222da:2900::/2422da:29ff:ffff:ffff:ffff:ffff:ffff:ffff
4322da:2a00::/2422da:2aff:ffff:ffff:ffff:ffff:ffff:ffff
4422da:2b00::/2422da:2bff:ffff:ffff:ffff:ffff:ffff:ffff
4522da:2c00::/2422da:2cff:ffff:ffff:ffff:ffff:ffff:ffff
4622da:2d00::/2422da:2dff:ffff:ffff:ffff:ffff:ffff:ffff
4722da:2e00::/2422da:2eff:ffff:ffff:ffff:ffff:ffff:ffff
4822da:2f00::/2422da:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4922da:3000::/2422da:30ff:ffff:ffff:ffff:ffff:ffff:ffff
5022da:3100::/2422da:31ff:ffff:ffff:ffff:ffff:ffff:ffff
5122da:3200::/2422da:32ff:ffff:ffff:ffff:ffff:ffff:ffff
5222da:3300::/2422da:33ff:ffff:ffff:ffff:ffff:ffff:ffff
5322da:3400::/2422da:34ff:ffff:ffff:ffff:ffff:ffff:ffff
5422da:3500::/2422da:35ff:ffff:ffff:ffff:ffff:ffff:ffff
5522da:3600::/2422da:36ff:ffff:ffff:ffff:ffff:ffff:ffff
5622da:3700::/2422da:37ff:ffff:ffff:ffff:ffff:ffff:ffff
5722da:3800::/2422da:38ff:ffff:ffff:ffff:ffff:ffff:ffff
5822da:3900::/2422da:39ff:ffff:ffff:ffff:ffff:ffff:ffff
5922da:3a00::/2422da:3aff:ffff:ffff:ffff:ffff:ffff:ffff
6022da:3b00::/2422da:3bff:ffff:ffff:ffff:ffff:ffff:ffff
6122da:3c00::/2422da:3cff:ffff:ffff:ffff:ffff:ffff:ffff
6222da:3d00::/2422da:3dff:ffff:ffff:ffff:ffff:ffff:ffff
6322da:3e00::/2422da:3eff:ffff:ffff:ffff:ffff:ffff:ffff
6422da:3f00::/2422da:3fff:ffff:ffff:ffff:ffff:ffff:ffff
6522da:4000::/2422da:40ff:ffff:ffff:ffff:ffff:ffff:ffff
6622da:4100::/2422da:41ff:ffff:ffff:ffff:ffff:ffff:ffff
6722da:4200::/2422da:42ff:ffff:ffff:ffff:ffff:ffff:ffff
6822da:4300::/2422da:43ff:ffff:ffff:ffff:ffff:ffff:ffff
6922da:4400::/2422da:44ff:ffff:ffff:ffff:ffff:ffff:ffff
7022da:4500::/2422da:45ff:ffff:ffff:ffff:ffff:ffff:ffff
7122da:4600::/2422da:46ff:ffff:ffff:ffff:ffff:ffff:ffff
7222da:4700::/2422da:47ff:ffff:ffff:ffff:ffff:ffff:ffff
7322da:4800::/2422da:48ff:ffff:ffff:ffff:ffff:ffff:ffff
7422da:4900::/2422da:49ff:ffff:ffff:ffff:ffff:ffff:ffff
7522da:4a00::/2422da:4aff:ffff:ffff:ffff:ffff:ffff:ffff
7622da:4b00::/2422da:4bff:ffff:ffff:ffff:ffff:ffff:ffff
7722da:4c00::/2422da:4cff:ffff:ffff:ffff:ffff:ffff:ffff
7822da:4d00::/2422da:4dff:ffff:ffff:ffff:ffff:ffff:ffff
7922da:4e00::/2422da:4eff:ffff:ffff:ffff:ffff:ffff:ffff
8022da:4f00::/2422da:4fff:ffff:ffff:ffff:ffff:ffff:ffff
8122da:5000::/2422da:50ff:ffff:ffff:ffff:ffff:ffff:ffff
8222da:5100::/2422da:51ff:ffff:ffff:ffff:ffff:ffff:ffff
8322da:5200::/2422da:52ff:ffff:ffff:ffff:ffff:ffff:ffff
8422da:5300::/2422da:53ff:ffff:ffff:ffff:ffff:ffff:ffff
8522da:5400::/2422da:54ff:ffff:ffff:ffff:ffff:ffff:ffff
8622da:5500::/2422da:55ff:ffff:ffff:ffff:ffff:ffff:ffff
8722da:5600::/2422da:56ff:ffff:ffff:ffff:ffff:ffff:ffff
8822da:5700::/2422da:57ff:ffff:ffff:ffff:ffff:ffff:ffff
8922da:5800::/2422da:58ff:ffff:ffff:ffff:ffff:ffff:ffff
9022da:5900::/2422da:59ff:ffff:ffff:ffff:ffff:ffff:ffff
9122da:5a00::/2422da:5aff:ffff:ffff:ffff:ffff:ffff:ffff
9222da:5b00::/2422da:5bff:ffff:ffff:ffff:ffff:ffff:ffff
9322da:5c00::/2422da:5cff:ffff:ffff:ffff:ffff:ffff:ffff
9422da:5d00::/2422da:5dff:ffff:ffff:ffff:ffff:ffff:ffff
9522da:5e00::/2422da:5eff:ffff:ffff:ffff:ffff:ffff:ffff
9622da:5f00::/2422da:5fff:ffff:ffff:ffff:ffff:ffff:ffff
9722da:6000::/2422da:60ff:ffff:ffff:ffff:ffff:ffff:ffff
9822da:6100::/2422da:61ff:ffff:ffff:ffff:ffff:ffff:ffff
9922da:6200::/2422da:62ff:ffff:ffff:ffff:ffff:ffff:ffff
10022da:6300::/2422da:63ff:ffff:ffff:ffff:ffff:ffff:ffff
10122da:6400::/2422da:64ff:ffff:ffff:ffff:ffff:ffff:ffff
10222da:6500::/2422da:65ff:ffff:ffff:ffff:ffff:ffff:ffff
10322da:6600::/2422da:66ff:ffff:ffff:ffff:ffff:ffff:ffff
10422da:6700::/2422da:67ff:ffff:ffff:ffff:ffff:ffff:ffff
10522da:6800::/2422da:68ff:ffff:ffff:ffff:ffff:ffff:ffff
10622da:6900::/2422da:69ff:ffff:ffff:ffff:ffff:ffff:ffff
10722da:6a00::/2422da:6aff:ffff:ffff:ffff:ffff:ffff:ffff
10822da:6b00::/2422da:6bff:ffff:ffff:ffff:ffff:ffff:ffff
10922da:6c00::/2422da:6cff:ffff:ffff:ffff:ffff:ffff:ffff
11022da:6d00::/2422da:6dff:ffff:ffff:ffff:ffff:ffff:ffff
11122da:6e00::/2422da:6eff:ffff:ffff:ffff:ffff:ffff:ffff
11222da:6f00::/2422da:6fff:ffff:ffff:ffff:ffff:ffff:ffff
11322da:7000::/2422da:70ff:ffff:ffff:ffff:ffff:ffff:ffff
11422da:7100::/2422da:71ff:ffff:ffff:ffff:ffff:ffff:ffff
11522da:7200::/2422da:72ff:ffff:ffff:ffff:ffff:ffff:ffff
11622da:7300::/2422da:73ff:ffff:ffff:ffff:ffff:ffff:ffff
11722da:7400::/2422da:74ff:ffff:ffff:ffff:ffff:ffff:ffff
11822da:7500::/2422da:75ff:ffff:ffff:ffff:ffff:ffff:ffff
11922da:7600::/2422da:76ff:ffff:ffff:ffff:ffff:ffff:ffff
12022da:7700::/2422da:77ff:ffff:ffff:ffff:ffff:ffff:ffff
12122da:7800::/2422da:78ff:ffff:ffff:ffff:ffff:ffff:ffff
12222da:7900::/2422da:79ff:ffff:ffff:ffff:ffff:ffff:ffff
12322da:7a00::/2422da:7aff:ffff:ffff:ffff:ffff:ffff:ffff
12422da:7b00::/2422da:7bff:ffff:ffff:ffff:ffff:ffff:ffff
12522da:7c00::/2422da:7cff:ffff:ffff:ffff:ffff:ffff:ffff
12622da:7d00::/2422da:7dff:ffff:ffff:ffff:ffff:ffff:ffff
12722da:7e00::/2422da:7eff:ffff:ffff:ffff:ffff:ffff:ffff
12822da:7f00::/2422da:7fff:ffff:ffff:ffff:ffff:ffff:ffff
12922da:8000::/2422da:80ff:ffff:ffff:ffff:ffff:ffff:ffff
13022da:8100::/2422da:81ff:ffff:ffff:ffff:ffff:ffff:ffff
13122da:8200::/2422da:82ff:ffff:ffff:ffff:ffff:ffff:ffff
13222da:8300::/2422da:83ff:ffff:ffff:ffff:ffff:ffff:ffff
13322da:8400::/2422da:84ff:ffff:ffff:ffff:ffff:ffff:ffff
13422da:8500::/2422da:85ff:ffff:ffff:ffff:ffff:ffff:ffff
13522da:8600::/2422da:86ff:ffff:ffff:ffff:ffff:ffff:ffff
13622da:8700::/2422da:87ff:ffff:ffff:ffff:ffff:ffff:ffff
13722da:8800::/2422da:88ff:ffff:ffff:ffff:ffff:ffff:ffff
13822da:8900::/2422da:89ff:ffff:ffff:ffff:ffff:ffff:ffff
13922da:8a00::/2422da:8aff:ffff:ffff:ffff:ffff:ffff:ffff
14022da:8b00::/2422da:8bff:ffff:ffff:ffff:ffff:ffff:ffff
14122da:8c00::/2422da:8cff:ffff:ffff:ffff:ffff:ffff:ffff
14222da:8d00::/2422da:8dff:ffff:ffff:ffff:ffff:ffff:ffff
14322da:8e00::/2422da:8eff:ffff:ffff:ffff:ffff:ffff:ffff
14422da:8f00::/2422da:8fff:ffff:ffff:ffff:ffff:ffff:ffff
14522da:9000::/2422da:90ff:ffff:ffff:ffff:ffff:ffff:ffff
14622da:9100::/2422da:91ff:ffff:ffff:ffff:ffff:ffff:ffff
14722da:9200::/2422da:92ff:ffff:ffff:ffff:ffff:ffff:ffff
14822da:9300::/2422da:93ff:ffff:ffff:ffff:ffff:ffff:ffff
14922da:9400::/2422da:94ff:ffff:ffff:ffff:ffff:ffff:ffff
15022da:9500::/2422da:95ff:ffff:ffff:ffff:ffff:ffff:ffff
15122da:9600::/2422da:96ff:ffff:ffff:ffff:ffff:ffff:ffff
15222da:9700::/2422da:97ff:ffff:ffff:ffff:ffff:ffff:ffff
15322da:9800::/2422da:98ff:ffff:ffff:ffff:ffff:ffff:ffff
15422da:9900::/2422da:99ff:ffff:ffff:ffff:ffff:ffff:ffff
15522da:9a00::/2422da:9aff:ffff:ffff:ffff:ffff:ffff:ffff
15622da:9b00::/2422da:9bff:ffff:ffff:ffff:ffff:ffff:ffff
15722da:9c00::/2422da:9cff:ffff:ffff:ffff:ffff:ffff:ffff
15822da:9d00::/2422da:9dff:ffff:ffff:ffff:ffff:ffff:ffff
15922da:9e00::/2422da:9eff:ffff:ffff:ffff:ffff:ffff:ffff
16022da:9f00::/2422da:9fff:ffff:ffff:ffff:ffff:ffff:ffff
16122da:a000::/2422da:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
16222da:a100::/2422da:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
16322da:a200::/2422da:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
16422da:a300::/2422da:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
16522da:a400::/2422da:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
16622da:a500::/2422da:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
16722da:a600::/2422da:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
16822da:a700::/2422da:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
16922da:a800::/2422da:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
17022da:a900::/2422da:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
17122da:aa00::/2422da:aaff:ffff:ffff:ffff:ffff:ffff:ffff
17222da:ab00::/2422da:abff:ffff:ffff:ffff:ffff:ffff:ffff
17322da:ac00::/2422da:acff:ffff:ffff:ffff:ffff:ffff:ffff
17422da:ad00::/2422da:adff:ffff:ffff:ffff:ffff:ffff:ffff
17522da:ae00::/2422da:aeff:ffff:ffff:ffff:ffff:ffff:ffff
17622da:af00::/2422da:afff:ffff:ffff:ffff:ffff:ffff:ffff
17722da:b000::/2422da:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
17822da:b100::/2422da:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
17922da:b200::/2422da:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
18022da:b300::/2422da:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
18122da:b400::/2422da:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
18222da:b500::/2422da:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
18322da:b600::/2422da:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
18422da:b700::/2422da:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
18522da:b800::/2422da:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
18622da:b900::/2422da:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
18722da:ba00::/2422da:baff:ffff:ffff:ffff:ffff:ffff:ffff
18822da:bb00::/2422da:bbff:ffff:ffff:ffff:ffff:ffff:ffff
18922da:bc00::/2422da:bcff:ffff:ffff:ffff:ffff:ffff:ffff
19022da:bd00::/2422da:bdff:ffff:ffff:ffff:ffff:ffff:ffff
19122da:be00::/2422da:beff:ffff:ffff:ffff:ffff:ffff:ffff
19222da:bf00::/2422da:bfff:ffff:ffff:ffff:ffff:ffff:ffff
19322da:c000::/2422da:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
19422da:c100::/2422da:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
19522da:c200::/2422da:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
19622da:c300::/2422da:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
19722da:c400::/2422da:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
19822da:c500::/2422da:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
19922da:c600::/2422da:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
20022da:c700::/2422da:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
20122da:c800::/2422da:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
20222da:c900::/2422da:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
20322da:ca00::/2422da:caff:ffff:ffff:ffff:ffff:ffff:ffff
20422da:cb00::/2422da:cbff:ffff:ffff:ffff:ffff:ffff:ffff
20522da:cc00::/2422da:ccff:ffff:ffff:ffff:ffff:ffff:ffff
20622da:cd00::/2422da:cdff:ffff:ffff:ffff:ffff:ffff:ffff
20722da:ce00::/2422da:ceff:ffff:ffff:ffff:ffff:ffff:ffff
20822da:cf00::/2422da:cfff:ffff:ffff:ffff:ffff:ffff:ffff
20922da:d000::/2422da:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
21022da:d100::/2422da:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
21122da:d200::/2422da:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
21222da:d300::/2422da:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
21322da:d400::/2422da:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
21422da:d500::/2422da:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
21522da:d600::/2422da:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
21622da:d700::/2422da:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
21722da:d800::/2422da:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
21822da:d900::/2422da:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
21922da:da00::/2422da:daff:ffff:ffff:ffff:ffff:ffff:ffff
22022da:db00::/2422da:dbff:ffff:ffff:ffff:ffff:ffff:ffff
22122da:dc00::/2422da:dcff:ffff:ffff:ffff:ffff:ffff:ffff
22222da:dd00::/2422da:ddff:ffff:ffff:ffff:ffff:ffff:ffff
22322da:de00::/2422da:deff:ffff:ffff:ffff:ffff:ffff:ffff
22422da:df00::/2422da:dfff:ffff:ffff:ffff:ffff:ffff:ffff
22522da:e000::/2422da:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
22622da:e100::/2422da:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
22722da:e200::/2422da:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
22822da:e300::/2422da:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
22922da:e400::/2422da:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
23022da:e500::/2422da:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
23122da:e600::/2422da:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
23222da:e700::/2422da:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
23322da:e800::/2422da:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
23422da:e900::/2422da:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
23522da:ea00::/2422da:eaff:ffff:ffff:ffff:ffff:ffff:ffff
23622da:eb00::/2422da:ebff:ffff:ffff:ffff:ffff:ffff:ffff
23722da:ec00::/2422da:ecff:ffff:ffff:ffff:ffff:ffff:ffff
23822da:ed00::/2422da:edff:ffff:ffff:ffff:ffff:ffff:ffff
23922da:ee00::/2422da:eeff:ffff:ffff:ffff:ffff:ffff:ffff
24022da:ef00::/2422da:efff:ffff:ffff:ffff:ffff:ffff:ffff
24122da:f000::/2422da:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
24222da:f100::/2422da:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
24322da:f200::/2422da:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
24422da:f300::/2422da:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
24522da:f400::/2422da:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
24622da:f500::/2422da:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
24722da:f600::/2422da:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
24822da:f700::/2422da:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
24922da:f800::/2422da:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
25022da:f900::/2422da:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
25122da:fa00::/2422da:faff:ffff:ffff:ffff:ffff:ffff:ffff
25222da:fb00::/2422da:fbff:ffff:ffff:ffff:ffff:ffff:ffff
25322da:fc00::/2422da:fcff:ffff:ffff:ffff:ffff:ffff:ffff
25422da:fd00::/2422da:fdff:ffff:ffff:ffff:ffff:ffff:ffff
25522da:fe00::/2422da:feff:ffff:ffff:ffff:ffff:ffff:ffff
25622da:ff00::/2422da:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses